Package de.willuhn.jameica.hbci.gui.dialogs

# Class KontoAuswahlDialog

java.lang.Object
de.willuhn.jameica.gui.dialogs.AbstractDialog
de.willuhn.jameica.hbci.gui.dialogs.KontoAuswahlDialog

public class KontoAuswahlDialog extends de.willuhn.jameica.gui.dialogs.AbstractDialog
Ein Dialog, ueber den man ein Konto auswaehlen kann.

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.dialogs.AbstractDialog

`MONITOR_CURRENT, MONITOR_PRIMARY, POSITION_CENTER, POSITION_MOUSE`

## Constructor Summary

Constructors
Constructor
Description
`KontoAuswahlDialog(int position)`
ct.
`KontoAuswahlDialog(Konto preselected, int position)`
ct.
`KontoAuswahlDialog(Konto preselected, KontoFilter filter, int position)`
ct.

## Method Summary

Modifier and Type
Method
Description
`de.willuhn.jameica.gui.parts.Button`
`getApplyButton()`
Liefert den Uebernehmen-Button.
`protected Object`
`getData()`
Liefert das ausgewaehlte Konto zurueck oder `null` wenn der Abbrechen-Knopf gedrueckt wurde.
`protected void`
`paint(org.eclipse.swt.widgets.Composite parent)`
`void`
`setText(String text)`
Optionale Angabe des anzuzeigenden Textes.

### Methods inherited from class de.willuhn.jameica.gui.dialogs.AbstractDialog

`addCloseListener, addShellListener, close, createShell, getDisplay, getShell, isModeless, onEscape, open, setMonitor, setPanelText, setSideImage, setSize, setTitle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### KontoAuswahlDialog

public KontoAuswahlDialog(int position)
ct.

Parameters:
  `position` -

### KontoAuswahlDialog

public KontoAuswahlDialog(Konto preselected, int position)
ct.

Parameters:
  `preselected` - vorausgewaehltes Konto.
  `position` -

### KontoAuswahlDialog

public KontoAuswahlDialog(Konto preselected, KontoFilter filter, int position)
ct.

Parameters:
  `preselected` - vorausgewaehltes Konto.
  `filter` - Konto-Filter.
  `position` -

## Method Details

### paint

protected void paint(org.eclipse.swt.widgets.Composite parent) throws Exception

Specified by:
  `paint` in class `de.willuhn.jameica.gui.dialogs.AbstractDialog`
Throws:
  `Exception`
See Also:
  - `AbstractDialog.paint(org.eclipse.swt.widgets.Composite)`

### getData

protected Object getData() throws Exception
Liefert das ausgewaehlte Konto zurueck oder `null` wenn der Abbrechen-Knopf gedrueckt wurde.

Specified by:
  `getData` in class `de.willuhn.jameica.gui.dialogs.AbstractDialog`
Throws:
  `Exception`
See Also:
  - `AbstractDialog.getData()`

### getApplyButton

public de.willuhn.jameica.gui.parts.Button getApplyButton()
Liefert den Uebernehmen-Button.

Returns:
  der Uebernehmen-Button.

### setText

public void setText(String text)
Optionale Angabe des anzuzeigenden Textes. Wird hier kein Wert gesetzt, wird ein Standard-Text angezeigt.

Parameters:
  `text` - anzuzeigender Text.